cURL
curl --request POST \
--url https://api.eka.care/abdm/nhpr/v1/hpr/aadhaar/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"council": true,
"domain_name": "<string>",
"email": "<string>",
"first_name": "<string>",
"hp_category_code": 123,
"hp_sub_category_code": 123,
"hprId": "<string>",
"id_type": "<string>",
"last_name": "<string>",
"middle_name": "<string>",
"notify_user": true,
"password": "<string>",
"pincode": "<string>",
"profile_photo": "<string>",
"role": 123,
"source_type": "<string>",
"txnId": "<string>"
}
'import requests
url = "https://api.eka.care/abdm/nhpr/v1/hpr/aadhaar/create"
payload = {
"council": True,
"domain_name": "<string>",
"email": "<string>",
"first_name": "<string>",
"hp_category_code": 123,
"hp_sub_category_code": 123,
"hprId": "<string>",
"id_type": "<string>",
"last_name": "<string>",
"middle_name": "<string>",
"notify_user": True,
"password": "<string>",
"pincode": "<string>",
"profile_photo": "<string>",
"role": 123,
"source_type": "<string>",
"txnId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
council: true,
domain_name: '<string>',
email: '<string>',
first_name: '<string>',
hp_category_code: 123,
hp_sub_category_code: 123,
hprId: '<string>',
id_type: '<string>',
last_name: '<string>',
middle_name: '<string>',
notify_user: true,
password: '<string>',
pincode: '<string>',
profile_photo: '<string>',
role: 123,
source_type: '<string>',
txnId: '<string>'
})
};
fetch('https://api.eka.care/abdm/nhpr/v1/hpr/aadhaar/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"auth_methods": [
"<string>"
],
"categories": "<unknown>",
"category_id": 123,
"day_of_birth": "<string>",
"district_code": "<string>",
"district_name": "<string>",
"email": "<string>",
"first_name": "<string>",
"gender": "<string>",
"hpr_id_number": "<string>",
"hprId": "<string>",
"kyc_photo": "<string>",
"last_name": "<string>",
"middle_name": "<string>",
"mobile": "<string>",
"month_of_birth": "<string>",
"name": "<string>",
"new": true,
"state_code": "<string>",
"state_name": "<string>",
"sub_category_id": 123,
"year_of_birth": "<string>"
},
"error": "<unknown>",
"success": true
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}HPR (Professionals)
Create HPR
Create HPR ID
POST
/
abdm
/
nhpr
/
v1
/
hpr
/
aadhaar
/
create
cURL
Authorizations
The API requires a Bearer token (JWT) for authentication.
Headers
Eka User ID (OID)
Partner User ID
Partner HIP ID
Body
application/json
Was this page helpful?
⌘I

